### Signal

# WPEWebProcessExtension WebProcessExtension::page-created

since: 2.40

#### Declaration

    void
    page_created (
      WebKitWebProcessExtension* self,
      WPEWebProcessExtensionWebPage* web_page,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when a new `WebKitWebPage` is created in the Web Process.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.40

#### Parameters

`web_page`

  Type: `WebKitWebPage`

  The `WebKitWebPage` created.

  The data is owned by the caller of the function.